Airport Extreme 6th gen (a1521) and Windows Utility

Discussion in 'Mac Accessories' started by WannaGoMac, Oct 1, 2015.

  1. WannaGoMac macrumors 65816

    Joined:
    Feb 11, 2007
    #1
    I searched forums, couldn't find this answer.

    Does the Airport Extreme 6th gen (802.11ac, A1521 model) now work with the Airport Utility for Windows?

    I understand originally it didn't, but then read read somewhere I can't find now, that 6th gen now works with the Windows Utility.
     
  2. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #2
    It will work but is not officially supported. Therefore, some settings may not apply or work correctly with the 6th generation.
     
  3. WannaGoMac thread starter macrumors 65816

    Joined:
    Feb 11, 2007
  4. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
  5. WannaGoMac thread starter macrumors 65816

    Joined:
    Feb 11, 2007
    #5
    Will do. Looks like I will get the 5th Gen Extreme as the iPhone app to manage the router doesn't seem as fully functioned as the windows utility used to be...
     

Share This Page